Openmoko Bug #1879: [unstable] attempting to bond crashes hcid

Openmoko Public Trac bugs at
Tue Sep 2 21:44:34 CEST 2008

#1879: [unstable] attempting to bond crashes hcid
    Reporter:  Mercury  |        Owner:  julian_chu
        Type:  defect   |       Status:  new       
    Priority:  normal   |    Milestone:            
   Component:  Distro   |      Version:            
    Severity:  normal   |   Resolution:            
    Keywords:           |    Blockedby:            
Reproducible:  always   |     Blocking:            

Comment(by Mercury):

 Your logic scanner has a more rigid definition of crashing than mine.
 It's locks up competely.

 I also posted a link to a tutorial which has instructions on how to bond
 with a device.  I could enumerate the steps in greater detail if that link
 isn't sufficient?  This should work (Just change over to the unstable
 feed, run opkg upgrade, and run this.) :

 1) make sure hcid is running
 2) Run passkey-agent 0000 aa:bb:cc:dd:ee:ff (or any other mac)
 3) logread -f <-- flood o' text.

 Also I apologize for not sending 'opkg list_installed'  At the time I
 filed this ticket I don't believe that policy was in place.  However,
 perhaps instead of requiring a list of package versions and such it may be
 better to just instruct people to upgrade to the most recent versions on
 the feed instead.  Since that may actually eliminate bugs before they're
 reported, and it's a lot easier to type (As I did in the ticket
 description) 'I'm using the unstable opkg feed from'

 Unfortunately, I have since downgrated my bluez-utils and the problem is
 gone now, and I don't plan on upgrading again, so if I generated 'opkg
 list_installed' right now it won't be as useful for you.

Ticket URL: <> <>
openmoko trac

More information about the buglog mailing list